# -*- coding: utf-8 -*-

from django.urls import re_path

from api import mini_views, oauth_views, temperature_views, thermometer_views


urlpatterns = [
]

urlpatterns += [
    re_path(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    re_path(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]

urlpatterns += [
    re_path(r'^mini/login$', mini_views.mini_login_api, name='mini_login_api'),  # 小程序登录
    re_path(r'^mini/userinfo$', mini_views.get_userinfo_api, name='get_userinfo_api'),  # 获取用户信息
]

urlpatterns += [
    re_path(r'^thermometer/bind$', thermometer_views.thermometer_bind, name='thermometer_bind'),
    re_path(r'^thermometer/list$', thermometer_views.thermometer_list, name='thermometer_list'),
]

urlpatterns += [
    re_path(r'^temperature/upload$', temperature_views.temperature_upload, name='temperature_upload'),
    re_path(r'^temperature/list$', temperature_views.temperature_list, name='temperature_list'),
]
